.gradient-custom-2 {
/* fallback for old browsers */
background: #fccb90;

/* Chrome 10-25, Safari 5.1-6 */
background: -webkit-linear-gradient(to right, #335b73, #234c64, #164058, #02283e);

/* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
background: linear-gradient(to right, #335b73, #234c64, #164058, #02283e);
}

.swal2-confirm{margin:3px 0;width:250px;}
.swal2-cancel{margin:3px 0;width:250px;}
#fieldsetDB{background:#f9f9f9;border: 3px solid #aaa !important;margin: 0;xmin-width: 0;padding: 10px;position: relative;border-radius:4px;background-color:#fff;padding-left:10px!important;}
#fieldsetDBInd{background:#f9f9f9;border: 3px solid #aaa !important;margin: 0;xmin-width: 0;padding: 10px;position: relative;border-radius:4px;background-color:#fff;padding-left:10px!important;}
#legendDB{position:relative;top:-25px;font-size:14px;font-weight:bold;margin-bottom: 0px;width: 35%;border: 3px solid #aaa;border-radius: 4px;padding: 5px 5px 5px 10px;background-color: #bbb;color:#fff;}
#fieldsetPadres{background:#f9f9f9;border: 1px solid #ddd !important;margin: 0;xmin-width: 0;padding: 10px;position: relative;border-radius:4px;background-color:#fff;padding-left:10px!important;}
#legendPadres{position:relative;top:-25px;font-size:14px;font-weight:bold;margin-bottom: 0px;width: 35%;border: 1px solid #ddd;border-radius: 4px;padding: 5px 5px 5px 10px;background-color: #ffffff;}
#fieldsetBat{background:#f1f1f1;border: 1px solid #ddd !important;margin: 0;xmin-width: 0;padding: 10px;position: relative;border-radius:4px;padding-left:10px!important;}
#legendBat{position:relative;top:-25px;font-size:14px;font-weight:bold;margin-bottom: 0px;width: 35%;border: 1px solid #ddd;border-radius: 4px;padding: 5px 5px 5px 10px;background-color: #ffffff;}
#fieldsetCas{background:#f1f1f1;border: 1px solid #ddd !important;margin: 0;xmin-width: 0;padding: 10px;position: relative;border-radius:4px;padding-left:10px!important;}
#legendCas{position:relative;top:-25px;font-size:14px;font-weight:bold;margin-bottom: 0px;width: 35%;border: 1px solid #ddd;border-radius: 4px;padding: 5px 5px 5px 10px;background-color: #ffffff;}
#fieldsetOb{background:#f1f1f1;border: 1px solid #ddd !important;margin: 0;xmin-width: 0;padding: 10px;position: relative;border-radius:4px;padding-left:10px!important;}
#legendOb{position:relative;top:-25px;font-size:14px;font-weight:bold;margin-bottom: 0px;width: 35%;border: 1px solid #ddd;border-radius: 4px;padding: 5px 5px 5px 10px;background-color: #ffffff;}
#fieldsetLoc{background:#f1f1f1;border: 1px solid #ddd !important;margin: 0;xmin-width: 0;padding: 10px;position: relative;border-radius:4px;padding-left:10px!important;}
#legendLoc{position:relative;top:-25px;font-size:14px;font-weight:bold;margin-bottom: 0px;width: 35%;border: 1px solid #ddd;border-radius: 4px;padding: 5px 5px 5px 10px;background-color: #ffffff;}
#fieldsetIdade{background:#f9f9f9;border: 1px solid #ccc !important;margin: 0;xmin-width: 0;padding: 23px;position: relative;border-radius:4px;background-color:#fff;padding-left:10px!important;}
#fieldsetLN{background:#f9f9f9;border: 1px solid #ccc !important;margin: 0;xmin-width: 0;padding: 23px;position: relative;border-radius:4px;background-color:#fff;padding-left:10px!important;}
#legendIdade{position:relative;top:-40px;font-size:14px;margin-bottom: 0px;width: 35%;border: 1px solid #ccc;border-radius: 4px;padding: 5px 5px 5px 10px;background-color: #fff;color:#800614;}
#legendLN{position:relative;top:-40px;font-size:14px;margin-bottom: 0px;width: 122px;border: 1px solid #ccc;border-radius: 4px;padding: 5px 5px 5px 10px;background-color: #fff;color:#800614;}
#nomeCampo{background: #6bbad0;color: #fff;padding: 3px 5px;border-radius: 5px;font-size: 14px;}
#nomesSugeridos{position:absolute;width:200px;height:auto;top:0px;right:0px;overflow:auto;z-index:999;background:#fff;border:1px solid #ccc;}
.boxNomesIndividuo{padding:10px 25px;background:#fff;height:450px;overflow:auto;}
.divNovoNome{background:#f1f1f1;border:1px solid red;padding:0 0 9px;}
#linhaDestaqueIndividuo{position: absolute;top: 0px;width:100%;left:40%;}
#camposDestaqueIndividuo{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}
#linhaDestaqueFogos{position: absolute;top: 0px;width:100%;left:40%;}
#camposDestaqueFogos{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}
#linhaDestaqueCenso{position: absolute;top: 0px;width:100%;left:40%;}
#camposDestaqueCenso{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}
#fogo{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#fogo_individuo{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#id_RPT_individuo{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#linhaDestaqueResumo{position: absolute;top: 0px;width:100%;left:40%;}
#camposDestaqueResumo{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}
#fogo_resumo{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#linhaDestaquePropriedades{position: absolute;top: 0px;width:100%;left:40%;}
#camposDestaquePropriedades{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}
#fogo_propriedades{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#IdProducaoCafe{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#linhaDestaqueProducoes{position: absolute;top: 0px;width:100%;left:40%;}
#camposDestaqueProducoes{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}
#fogo_producoes{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#linhaDestaqueResumoProducaoCafe{position: absolute;top: 0px;width:185px;left:40%;}
#camposDestaqueResumoProducaoCafe{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}
#IdProducaoCafe_Resumo{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#IdProducaoCafe_PrincipaisProdutores{color: red;font-size: 20px;font-weight: 800;padding: 5px 2px;text-align: center;}
#linhaDestaqueModalidadeAquisicao{position: absolute;top: 0px;width:245px;left:40%;}
#camposDestaqueModalidadeAquisicao{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}
#linhaDestaqueIndividuosRegistrosParoquiaisTerras{position: absolute;top: 0px;width:240px;left:40%;}
#camposDestaqueIndividuosRegistrosParoquiaisTerras{background:#bbb;border:3px solid #aaa;border-top:0;border-bottom-right-radius: 10px;border-bottom-left-radius: 10px;padding: 7px 0px;}


.engrenagens_executando{position:absolute;right:0;top:200px;display:none;}
#loading{width:100%;height:240%;position:fixed;z-index:1;background:#000;opacity:0.8;top:0;left:0;text-align:center;padding-top:350px;}
#loadingIndFogo{width:98%;height:240%;position:relative;left:1%;z-index:1;background:#000;opacity:0.8;top:0;text-align:center;padding:200px 0;}
#spinner{z-index:2;}
.paragrafo{line-height:1.4;padding:10px 0;text-align:justify;font-size:18px;}
.paragrafo2{line-height:1.8;padding:0;text-align:justify;font-size:18px;}
.titulo{font-size:20px;padding:20px 0;}
.titulo2{font-size:20px;padding:60px 0 7px 0;}
.titulo_financiadora{font-size:18px;padding:20px 0 10px 0;text-align:justify;}
.financiadora{font-size:18px;padding:20px 0 10px 0;text-align:justify;}
#divContador{position: relative;color: red;z-index: 9;font-size: 35px;text-align:center;}
#contador{color:#810b05;border:0;background:rgba(0,0,0,0.5);text-align:center;font-weight:800;text-shadow: 1px 1px 1px #fff;}
#camera{font-size: 20px;position: absolute;top: 85px;left: 94px;color: #aaa;background: #eee;padding: 3px 8px;border-radius: 100px;cursor: pointer;}
.icones_familias{width:20px;cursor:pointer;}
#legendasFamilias{display: flex;position: absolute;left: 5%;}
.retAzul{width: 25px;height: 15px;background: #48abf7;margin:2px 3px 0px 40px;}
.retVerde{width: 25px;height: 15px;background: #31ce36;margin:2px 3px 0px 40px;}
.retVerm{width: 25px;height: 15px;background: #f25961;margin:2px 3px 0px 40px;}
.retLaranja{width: 25px;height: 15px;background: #fa8319;margin:2px 3px 0px 40px;}
.campoLeg{display:flex;}
.boxBatizados{position: absolute;z-index: 999;width: 800px;border: 2px dotted red;background:#fff;display:none;}
.nomePlanilha{margin:7px 5px 0 5px;font-size:18px;color:#000;height:60px;overflow: auto;}
.referenciaPlanilha{margin:-2px 5px;font-style:italic;overflow: auto;height: 85px;padding: 10px 0;}
.anoPlanilha{margin:0px 5px;}
.btnDetalhesResumo{text-align: right;position: relative;top: -21px;left: 17%;color: #b50606;width: 20%;cursor: pointer;}
.btnLinkOriginal{position: relative;float: right;top: -43px;right: 30px;}
.da {box-shadow: -6px 5px 19px -5px #5C5C5C;background: #f1f1f1;border-radius: 10px;padding: 13px;height:375px;}
.infoImagem{font-size: 13px;color: red;position: relative;top: -20px;left: 5px;}
#divIconeInfoInd{font-size: 30px;position: relative;opacity: 80%;top:-40px;clear:inherit;left:0px;cursor:pointer;width:35px;height:35px;}
#tooltipIndividuo{border-radius:5px;display:none;position: absolute;z-index: 9;border: 1px solid #ddd;width: 350px;padding: 10px 20px;  text-align: justify;background: #fff;left: 50px;}
#fecharTooltip{background: #ca0202;padding: 3px 8px;border-radius: 15px;color: #fff;position: absolute;top: -8px;right: -9px;font-size: 12px;font-weight: 600;cursor:pointer;}
.double_range_slider_box {
  position: relative;
  width: 100%;
  /*height: 150px;  */
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
}
#versao{    font-size: 11px;
    position: relative;
    left: 75%;
    top: -6px;
    z-index: 99999;
    text-decoration: inherit;
    font-style: italic;}
.double_range_slider {
  width: 90%;
  height: 10px;
  position: relative;
  background-color: #dddddd;
  border-radius: 20px;
}
.range_track {
  height: 100%;
  position: absolute;
  border-radius: 20px; 
}
 
#minvalue {
  position: relative;
  width:70px;
  padding: 6px 15px;
  background: #0d6efd;
  border-radius: 7px;
  color: white;
  top:50px;
  transform: translate(0, -100%);
  left: 0;
  font-size: 1rem;
  transition: left 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
  will-change: left, transform;  
}
#maxvalue {
  position: relative;
  width:70px;
  padding: 6px 15px;
  background: #0d6efd;
  border-radius: 7px;
  color: white;
  top: -60px;
  transform: translate(0, 100%);
  right: 0;
  font-size: 1rem;
  transition: right 0.3s cubic-bezier(0.165, 0.84, 0.44, 1);
  will-change: right, transform;
  float:right;
}

#range input {
  position: absolute;
  width: 100%;
  height: 5px;
  background: none;
  pointer-events: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  top: 50%;
  transform: translateY(-50%);
}
#range input::-webkit-slider-thumb {
  height: 25px;
  width: 25px;
  border-radius: 50%;
  border: 3px solid #0d6efd;
  background-color: #073983;
  pointer-events: auto;
  -webkit-appearance: none;
  cursor: pointer;
  margin-bottom: 1px;
}
#range input::-moz-range-thumb {
  height: 18px;
  width: 18px;
  border-radius: 50%;
  border: 3px solid #0d6efd;
  background-color: #073983;
  pointer-events: auto;
  -moz-appearance: none;
  cursor: pointer;
  margin-top: 30%;
}
.anoLT{margin: 7px 0;font-size: 18px;cursor: pointer;text-align: center;}
.tituloLT{padding:2px 0;text-align: left;font-size: 23px;line-height: 1.4;font-weight:600;}
.subtituloLT{padding:2px 0;text-align: left;font-size: 22px;line-height: 1.4;font-weight:600;}
.dataLT{padding:2px 0;text-align: left;font-size: 20px;line-height: 1.4}
.regiaoLT{padding:2px 0;text-align: left;font-size: 20px;line-height: 1.4;font-style:italic;color:orange;}
.subregiaoLT{padding:2px 0;text-align: left;font-size: 20px;line-height: 1.4;font-style:italic;color:orange;}
.municipioLT{padding:2px 0;text-align: left;font-size: 20px;line-height: 1.4;font-style:italic;color:orange;}
.descLT{padding:20px 30px;text-align: justify;font-size: 18px;line-height: 1.4}
.paragrafoLT{text-indent:50px;margin:10px 0;}
.fonteLT{padding:2px 0;text-align: left;font-size: 14px;line-height: 1.4;font-style:italic;color:orange;}
@media (min-width: 768px) {
.gradient-form {
height: 100vh !important;
}
}
@media (min-width: 769px) {
.gradient-custom-2 {
border-top-right-radius: .3rem;
border-bottom-right-radius: .3rem;
}
}



.tree {
      display: flex;
      justify-content: center;
      flex-direction: column;
      align-items: center;
      gap: 2rem;
      margin: 40px auto;
    }

    .tree-level {
      display: flex;
      justify-content: center;
      gap: 2rem;
      flex-wrap: wrap;
    }

    .person {
      background: #ffffff;
      border: 1px solid #dee2e6;
      border-radius: 12px;
      padding: 15px 20px;
      box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05);
      text-align: center;
      min-width: 140px;
      position: relative;
	  cursor:pointer;
    }

	#pais .person::after {
      content: '';
      position: absolute;
      width: 2px;
      height: 20px;
      background-color: #adb5bd;
      bottom: -20px;
      left: 50%;
      transform: translateX(-50%);	  
    }
	
    .person::before {
      content: '';
      position: absolute;
      width: 2px;
      height: 40px;
      background-color: #adb5bd;
      top: -40px;
      left: 50%;
      transform: translateX(-50%);	  
    }

    .tree .tree-level:first-child .person::before {
      display: none;
    }

    .line {
      width: 100%;
      height: 2px;
      background-color: #adb5bd;
      position: relative;
      top: -10px;
      z-index: 1;
    }

    .person .name {
      font-weight: 600;
      color: #343a40;
    }

    .person .relation {
      font-size: 0.9rem;
      color: #6c757d;
    }

	.infoPai{		  
		  position:absolute;
		  z-index:999;
		  background: #f3f3f3;
		  border:1px solid #e6e6e6;
		  padding: 10px 15px;
		  border-radius: 5px;
		  width:300%;
		  text-align:left;
		  display:flex;
	  }
	  
	  .infoMae{		  
		  position:absolute;
		  z-index:999;
		  background: #f3f3f3;
		  border:1px solid #e6e6e6;
		  padding: 10px 15px;
		  border-radius: 5px;
		  width:300%;
		  text-align:left;
		  display:flex;
	  }
	  
	  .infoFilhos{		  
		  position:absolute;
		  z-index:999;
		  background: #f3f3f3;
		  border:1px solid #e6e6e6;
		  padding: 10px 15px;
		  border-radius: 5px;
		  width:300%;
		  text-align:left;
		  display:flex;
	  }
	  
	  .labelInfoDescendentes{
		  font-weight:700;
		  font-style:italic;
	  }

    @media (max-width: 576px) {
      .tree-level {flex-direction: column;
        align-items: center;
      }

      .line {
        display: none;
      }

      .person::before {
        display: none;
      }  
    }		
	.blocoFicha{
		font-size:20px;
	}
	.blocoTexto{
		font-size:18px;
		position:relative;
		margin: 0px 0px 35px 40px; 
	}